2

I want to use the smartdiagram but by some reason a get a error:

! Undefined control sequence. \smartdiagram 
code #1#2->\StrCut {#1}{:}\diagramtype \option \IfNoValueTF {#... l.6 ...ram]
{Initiation,Planning,Execution,Closure} The control sequence at the end of 
the top line of your error message was never \def'ed. If you have misspelled 
it (e.g., `\hobx'), type `I' and the correct spelling (e.g., `I\hbox'). 
Otherwise just continue, and I'll forget about whatever was undefined.

! Undefined control sequence. \smartdiagram
code ...\StrCut {#1}{:}\diagramtype \option \IfNoValueTF {#1}{... l.6 ...ram]
{Initiation,Planning,Execution,Closure} The control sequence at the end of 
the top line of your error message was never \def'ed. If you have misspelled 
it (e.g., `\hobx'), type `I' and the correct spelling (e.g., `I\hbox'). 
Otherwise just continue, and I'll forget about whatever was undefined.

Here are a the code I use.

\documentclass[12pt]{article}
\usepackage{smartdiagram}

\begin{document}
    \begin{center}
    \smartdiagram[circular diagram]{Initiation,Planning,Execution,Closure}
    \end{center}
\end{document}
  • Unfortunately no diagram option has been defined; you have to select, say circular diagram. You find the complete list of diagrams in the documentation. BTW: check that your distribution has the required packages (first section: Introduction and requirements). – Claudio Fiandrino Apr 3 '13 at 12:36
  • change diagram to circular diagram, do not help. – boje Apr 3 '13 at 12:50
  • Does your distribution has the necessary packages xparse, etoolbox and xstring, besides TikZ of course? – Claudio Fiandrino Apr 3 '13 at 12:59
  • When I change the first code to: \documentclass[12pt]{article} \usepackage{tikz} \usepackage{smartdiagram} \usepackage{xparse} \usepackage{etoolbox} \usepackage{xstring} \begin{document} \begin{center} \smartdiagram[circular diagram]{Initiation,Planning,Execution,Closure} \end{center} \end{document} Do I still get a error – boje Apr 3 '13 at 13:29
  • The packages I mentioned are already loaded by smartdiagram: I thought you missed xstring which would have been a possible cause of the error. Unfortunately I can compile without errors both codes you provide with both versions 0.2 and 0.3 (which I already sent to CTAN, so it's matter of days before having it available on TeXLive and MiKTeX). – Claudio Fiandrino Apr 3 '13 at 14:02
0

There is no need to specify the additional packages. Smartdiagram will call them automatically. Your MWE is correct and compiles (Kubuntu 12.10 but with a complete "vanilla Latex installation"). I had similar problems before, with the Texlive2012 PPA. So if you are indeed working with xUbuntu, try a full "vanilla Latex".

  • I am working with OSX, unfortunately – boje Apr 3 '13 at 14:00

Not the answer you're looking for? Browse other questions tagged or ask your own question.